<!--新用户一元 created By 1173944134@qq.com-->
<template>
    <!--首页活动横栏-->
    <div class="newuser-csbanner fade-in" id="NewUserBanner">
        <div class="count-time"></div>
        <div class="remain flex-row">
            <span class="l"></span>
            <img src="" class="icon"/>
            <span class="r"></span>
        </div>
        <img src="" class="heart-beat btn"/>
    </div>
    <!--课程目录页提示-->
    <div class="section-desc-newuser flex-row" id="sectionDesc">
        <div class="cls">
            <img src="" class="clsIcon"/>
        </div>
        <div class="desc-back"></div>
        <img src="" class="heart-beat btn"/>
    </div>
    <!--优惠券弹窗-->
    <div class="yidialog-con coupon-10-dia" id="coupon10Dia">
        <div class="yid-back"></div>
        <div class="yid-con flex-row yid-con-col">
            <div class="yid-con-body flex-row">
                <div class="tip"></div>
                <div class="num"></div>
                <div class="num-x"></div>
                <div class="btn-con">
                    <img src="" class="btn"/>
                </div>
            </div>
        </div>
    </div>
    <!--详情页-->
    <div class="detail-icon-up-arrows flex-row" id="detailTconUp">
        <img class="detail-image"
             src="http://static2.61info.com/service/imgs/groupPurchase/act/double_12/home-icon-1.png?v=1" alt="">
    </div>
    <!--首页弹窗-->
    <div class="yidialog-con home_dia" id="homeMyDia">
        <div class="yid-back"></div>
        <div class="yid-con flex-row yid-con-col">
            <div class="yid-con-body flex-row">
                <div class="kj-djs"></div>
                <img src="" style="display: none;" class="coupon-img"/>
                <div class="btn-baom-con">
                    <img src="" class="btn-baom heart-beat"/>
                </div>
            </div>
            <div class="yid-cls-con">
                <img src="" class="yid-cls"/>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'newuser1y',
        data: {
            actStatus: '/dengta/common/act/10043/actStatus.json', // 入口数据
            actGroupDetails: '/dengta/common/act/10043/actGroupDetails.json', //
            getPoster: '/dengta/common/act/10043/getPoster.json', // 海报
            SECTION_LIST_DESC: 'SECTION_LIST_DESC', // 课程目录页显示过
            moreCourseInit: '/dengta/act/dual12/mainvenue/queryEntry.json', // 首页
            courseListInit: '/dengta/common/act/10016/courseList/init.json', // 课堂
            addLiveCourseUser: '/dengta/common/act/10016/addLiveCourseUser.json', // 海报
            courseImg: resourcePath + '/imgs/groupPurchase/newCourseImg/',
            imgPath: resourcePath + '/imgs/groupPurchase/act/newuser1y/',
            pvuv: ApiHelper.SERVER + '/dengta/common/act/10029/addPvuv.json', // pvuv微信通用接口
            cDetailToHomePvuv: ApiHelper.SERVER + '/dengta/pvuv/btn/add.json' // 课程详情页点击回首页
        },
        // pvuvkey
        pvuvKey: {
            expose: 'dt_1212_dual12_bogo_give_coupon_id_{couponId}_exposure', // 优惠券列表看到赠课券曝光
            click: 'dt_1212_dual12_bogo_give_coupon_id_{couponId}_to_use', // 赠课券点击“去使用
            listBtn: 'dt_1212_dual12_bogo_course_list_btn', // 课程列表页8折按钮   渠道号是100348
            courseBtn: 'dt_1212_dual12_bogo_my_course_btn ' // 我的课8折按钮      渠道号是100347
        },
        // 接口数据
        actData: {
            groupId: '',
            sysTime: '',
            qrUrl: '',
            havingCanUsed8_9YuanCoupon: false,
            noBuyActCourseAndHaving8Yuan: false,
            isGroupOK: false,
            isGroupLeader: false,
            hasUsed8: false,
            hasPayed: false,
            isNewUser: false,
            userCount: 0
        },
        qrExpose: false,
        actGroupDetailsRes: null,
        // 曝光统计
        sendExposePvuv: function (data, callback) {
            data = data || {}
            !data.pvuvKeyId && (data.pvuvKeyId = 947)
            data.actChannels = data.channel
            var url = this.data.pvuv
            if (!data.actId) {
                url = url.replace('10029', 10043)
            }
            delete data.channel
            if (!data.expParam) {
                data.expParam = {
                    module: '',
                    tag: ''
                }
            }
            $.get(url, data)
            callback && setTimeout(callback, 300)
        },
        addPvuv: function (data, callback) {
            ApiHelper.myLog('pvuv>>>>', data)
            $.get(data.url || this.data.pvuv, data)
            callback && setTimeout(callback, 300)
        },
        // 买一送一pvuv
        addPvuvB1S1: function (data, callback) {
            data.url = '/dengta/pvuv/key/add.json'
            this.addPvuv(data, callback)
        },
        detailBtnPvuv: function (data, callback) {
            ApiHelper.myLog('btnpvuv>>>>', data)
            $.get(this.data.cDetailToHomePvuv, data)
            callback && setTimeout(callback, 100)
        },
        // 初始化
        init: function () {
            if (typeof groupId !== 'undefined') {
                this.actData.groupId = groupId
            }
            if (typeof window.shareExpose === 'undefined') {
                window.shareExpose = false
            }
            ApiHelper.moreCourse && this.initMoreCourse()
            ApiHelper.courseList && this.initCourseList()
            ApiHelper.paySuccess && this.initPaySuccess()
            // ApiHelper.userProfile && this.initUserProfile()
            // ApiHelper.sectionList && this.initSectionList()
            // ApiHelper.freeCourseList && this.freeCourseList()
            ApiHelper.inviteFriends && this.initInviteFriends()
            ApiHelper.courseDetails && this.initCourseDetails()
            ApiHelper.collageDetail && this.initCollageDetail()
        },
        // 是否在可视区域 document.addEventListener('scroll', ApiHelper.throttle(function () {}, 500)
        isInView: function (selector) {
            if (!document.querySelector(selector)) {
                return false
            }
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            if (rect.top <= window.innerHeight && rect.top >= -rect.height) {
                flag = true
            }
            return flag
        },
        // 商城首页
        initMoreCourse: function () {
            var that = this
            $('<audio src="" id="newUser1yMp3" preload="preload"></audio>').appendTo($('body'))
            $('#newUser1yMp3').attr('src', that.data.imgPath + 'newyear.mp3')
            var audio = document.getElementById('newUser1yMp3')
            if (audio) {
                audio.play()
                audio.oncanplay = function () {
                    audio.pause()
                }
            }
            ApiHelper.$on('homeBannerPvuv', function (e, data) {
                if (!data) {
                    return
                }
                var type = data.type
                var id = parseInt(data.id)
                if (id !== 140) {
                    return
                }
                switch (type) {
                    case 'expose':
                        that.sendExposePvuv({
                            channel: 100899,
                            pvuvKeyId: 1111
                        })
                        break
                    case 'click':
                        that.sendExposePvuv({
                            channel: 100899,
                            pvuvKeyId: 1110
                        })
                        break
                }
            })
            that.getActInfo()
            ApiHelper.$on('newuser1yDia', function () {
                that._initMoreCourse()
            })
        },
        // 首页icon
        showHomeIcon: function () {
            var that = this
            $(liveIconHome).appendTo($('body'))
            var homeIconImg = that.actData.isFirstDate ? 'home-icon-1.png' : 'home-icon-1.png'
            var channel = that.actData.isFirstDate ? 100247 : 100248
            $('#liveIconHome .icon').attr('src', that.data.imgPath + homeIconImg + '?v=' + window.jspVersionMoreChange)
            $('#liveIconHome').fadeOut()
            $('#liveIconHome').click(function () {
                location.href = '/app/spa/dengta_h5/act_twelve_main?channel=' + channel
            })
            var isFirst = true
            document.addEventListener('scroll', ApiHelper.throttle(function () {
                if (that.isInView('#NewUserBanner')) {
                    $('#liveIconHome').fadeOut()
                } else {
                    $('#liveIconHome').fadeIn()
                    isFirst && that.sendExposePvuv({
                        channel: channel
                    })
                    isFirst = false
                }
            }, 500))
        },
        // 查询活动
        getActInfo: function (callback) {
            var that = this
            var queryStr = ''
            $.get(that.data.actStatus + queryStr, function (res) {
                var resData = res.result || {}
                var resultCode = resData.resultCode || {}
                var value = resData.value || {}
                that.actData.hasUsed8 = value.courseId
                that.actData.status = resultCode.code === 0
                if (resultCode.code !== 0 || value.sysTime > value.endTime || that.actData.hasUsed8) {
                    return
                }
                that.actData.sysTime = value.sysTime
                callback && callback()
            })
        },
        // 优惠券页面
        initCouponList: function () {
        },
        // 购买成功
        initPaySuccess: function () {
            var that = this
            that.getActGroupDetails()

            function setQR() {
                if (!that.isThisCourse() || !that.actData.isNewUser || that.actData.isGroupLeader) {
                    return
                }
                $('.code_img>img,.qrcodeImg>img').css({
                    pointerEvents: 'auto'
                })
                $('.code_img>img,.qrcodeImg>img').attr('src', that.actData.qrUrl)
                if (!that.isThisCourse() || that.qrExpose) {
                    return
                }
                that.qrExpose = true
                that.sendExposePvuv({
                    pvuvKeyId: 1144
                })
            }

            if (that.actData.qrUrl) {
                setQR()
                return
            }
            var time = setInterval(function () {
                if (that.actData.qrUrl) {
                    clearInterval(time)
                }
                setQR()
            }, 300)
        },
        // 插入未来元素
        checkHas: function (selector, callback) {
            var that = this
            var addBannerCount = 0

            function check() {
                setTimeout(function () {
                    addBannerCount++
                    if ($(selector).length > 0) {
                        callback && callback.call(that)
                    } else {
                        addBannerCount < 5 && check()
                    }
                }, 1000)
            }

            check()
        },
        // 我的课堂
        initCourseList: function () {
            var that = this
            var channel = '' + (ApiHelper.getQueryString('channel') || '')
            var has = -1
            has > -1 && that.addPvuv({
                pvuvKey: 392,
                actChannels: channel
            })
            that.getActInfo(function () {
                that.showBanner()
            })
        },
        // 我的页面
        initUserProfile: function () {
        },
        // 课程目录页
        initSectionList: function () {
            var that = this
            that.getActInfo(function () {
                that._initSectionList()
            })
        },
        // 试看课列表
        freeCourseList: function () {
            // 赠送课程
            var that = this
            var freeSource = '' + (ApiHelper.getQueryString('freeSource') || '')
            freeSource === '7' && ApiHelper.$on('freeCourseList', function (e, data) {
                that.sectionBuySend(data)
            })
        },
        // 赠送课程
        sectionBuySend: function (data) {
            var that = this
            var resData = data || {}
            var freeCourseCoupon = resData.freeCourseCoupon || {}
            $(sectionBuyBtn).appendTo($('body'))
            freeCourseCoupon.desc1 && $('#sectionBuyBtn .title').text(freeCourseCoupon.desc1)
            freeCourseCoupon.desc2 && $('#sectionBuyBtn .desc').text(freeCourseCoupon.desc2)
            $('.section_tab,.study_group_wrap').hide()
            $('.unlockText').each(function (idx, one) {
                if ($(one).text().indexOf('电视投屏') !== -1) {
                    $(one).hide()
                }
            })
            $('#sectionBuyBtn').click(function () {
                that.addPvuvB1S1({
                    pvuvKey: that.pvuvKey.listBtn
                }, function () {
                    location.href = '/wx/groupBuy/courseDetails.html?state=100348&courseId=' + ApiHelper.getQueryString('courseId')
                })
            })
        },
        _initSectionList: function () {
            var that = this
            if (localStorage.getItem(this.data.SECTION_LIST_DESC)) {
                return
            }
            var idx = Math.random() > 0.5 ? 1 : 2
            var channel = 100252
            that.sendExposePvuv({
                pvuvKeyId: 544,
                channel: channel
            })
            $(sectionDesc).insertBefore($('.banner'))
            $('#sectionDesc .desc-back').css({
                backgroundImage: 'url("' + that.data.imgPath + ('list_bar_' + idx) + '.png?v=' + window.jspVersionMoreChange + '")'
            })
            $('#sectionDesc .clsIcon').attr('src', this.data.imgPath + 'close_y.png?v=' + window.jspVersionMoreChange)
            $('#sectionDesc .desc-back').click(function () {
                that.addPvuv({
                    pvuvKeyId: 545
                }, function () {
                    location.href = ApiHelper.getActUrl() + '/newuser1y_main?channel=' + channel
                })
            })
            $('#sectionDesc .cls').click(function () {
                $('#sectionDesc').hide()
                localStorage.setItem(that.data.SECTION_LIST_DESC, 1)
            })
        },
        // 好友邀请
        initInviteFriends: function () {
            var that = this
            that.distributeCouponsToUser()
            that.initRecommentPvuv()
            that.getActGroupDetails(function () {
                that.groupLeaderAct()
            })
        },
        isThisCourse: function () {
            return $.inArray(parseInt(ApiHelper.getQueryString('courseId')), [73, 60, 68]) !== -1
        },
        initPoster: function () {
        },
        // 推荐位pvuv
        initRecommentPvuv: function () {
            var that = this
            ApiHelper.$on('updateClickRecommend', function () {
                that.sendExposePvuv({
                    pvuvKeyId: 1135,
                    channel: 160200001
                })
            })
            ApiHelper.$on('recommentPvuv', function (e, data) {
                if (!data || !that.actData.hasUsed8) {
                    return
                }
                var type = data.type
                that.sendExposePvuv({
                    pvuvKeyId: type === 'expose' ? 1136 : 1135,
                    channel: 160200001
                })
            })
        },
        // 拼团详情页面
        initCollageDetail: function () {
            var that = this
            that.initPoster()
            that.distributeCouponsToUser()
            that.initRecommentPvuv()
            that.initPaySuccess()
            that.checkShareTitle()
            that.getActGroupDetails(function () {
                // 团长
                that.groupLeaderAct()
            })
        },
        enterGroup: function () {
            var that = this
            // 团满未支付
            if (that.actData.isGroupOK && !that.actData.hasPayed && that.actData.noBuyActCourseAndHaving8Yuan) {
                var btnText = $('.Onekey_group_top').text()
                if (btnText.indexOf('立即参团') !== -1) {
                    return
                }
                that.addCourseDetailBanner(100901, '.train_group_rule_tip')
                return
            }
            if (!that.actData.isGroupOK && that.actData.isNewUser && that.actData.havingCanUsed8_9YuanCoupon) {
                that.sendExposePvuv({
                    pvuvKeyId: 1138
                })
                $('<div class="newuser-tip">团长为你争取到了1元购买新年福利<br/>仅限该团使用</div>').insertBefore($('.collage_title'))
                $('.newuser-tip').css({
                    textAlign: 'center',
                    color: '#fa512d',
                    lineHeight: '0.42rem'
                })
            }
        },
        // 10元优惠券
        addCoupon10Dia: function () {
            var that = this
            var cacheKey = 'coupon_10_dia'
            var has = ApiHelper.getCookie(cacheKey)
            if (has) {
                return
            }
            ApiHelper.setCookie(cacheKey, 1, 15)
            $(coupon10Dia).appendTo($('body'))
            that.sendExposePvuv({
                pvuvKeyId: 1146
            })
            $('#coupon10Dia').css({
                display: 'flex'
            })
            $('#coupon10Dia .yid-con-body').css({
                backgroundImage: 'url("' + that.data.imgPath + 'dia_back_3.png?v=' + window.jspVersionMoreChange + '")'
            })
            $('#coupon10Dia .tip').text('已邀请到' + that.actData.userCount + '个新用户')
            $('#coupon10Dia .num').text(that.actData.userCount)
            $('#coupon10Dia .num-x').text('X' + that.actData.userCount)
            $('#coupon10Dia .btn').attr('src', that.data.imgPath + 'yjlq-btn.png?v=' + window.jspVersionMoreChange)
            $('#coupon10Dia').click(function (e) {
                var cls = (e.target || {}).className
                that.sendExposePvuv({
                    pvuvKeyId: 1145
                })
                $('#coupon10Dia').hide()
                if (cls === 'btn-con' || cls === 'btn') {
                    location.href = '/wx/groupBuy/couponList.html'
                }
            })
        },
        // 团长使用8元券开团 团未满
        groupLeaderAct: function () {
            var that = this
            if (!that.actData.isGroupLeader || !that.actData.hasUsed8) {
                return
            }
            if (that.actData.isGroupOK && that.actData.userCount > 0) {
                that.addCoupon10Dia()
                return
            }
            setTimeout(function () {
                var num = $('.collage_title .difference_num').text()
                $('.collage_title').css({
                    letterSpacing: 'unset'
                })
                $('.collage_title').html('还差<span class="difference_num">' + num + '</span>人，该团最多可得4个10元红包')
                $('.invite_firend_top,.invite_firend_btn_bottom').text('邀请新用户，得10元红包')
            }, 500)
        },
        // 分享前缀
        checkShareTitle: function () {
            if (!window.groupId || typeof groupType === 'undefined' || groupType == 1 || !this.isThisCourse()) {
                return
            }
            var dateEnd = new Date('2020/02/01 23:59:59')
            var now = new Date()
            if (now.getTime() > dateEnd.getTime()) {
                return
            }
            ApiHelper.$emit('shareChange', {
                titlePre: '新用户限时【1元】抢！',
                channel: ApiHelper.getQueryString('state')
            })
        },
        getActGroupDetails: function (callback) {
            var that = this
            if (that.actData.qrUrl) {
                getRes()
                return
            }
            var queryStr = '?groupId=' + that.actData.groupId
            var channel = ApiHelper.getQueryString('state')
            if (channel === '100922' && !window.shareExpose) {
                window.shareExpose = true
                that.sendExposePvuv({
                    pvuvKeyId: 1139,
                    channel: channel
                })
            }
            $.get(that.data.actGroupDetails + queryStr, function (res) {
                that.actGroupDetailsRes = res
                var resData = res.result || {}
                var value = resData.value || {}
                that.actData.hasUsed8 = value.actGroup
                window.recommendState = 160200001
                that.actData.isGroupLeader = value.firstGroupUser
                that.actData.isGroupOK = value.groupFull
                that.actData.userCount = value.inviteNewUserJoin
                that.actData.isNewUser = value.newUser
                that.actData.havingCanUsed8_9YuanCoupon = value.havingCanUsed8_9YuanCoupon
                that.actData.noBuyActCourseAndHaving8Yuan = value.noBuyActCourseAndHaving8Yuan
                that.actData.sysTime = value.sysTime
                that.actData.hasPayed = value.groupUser
                that.actData.qrUrl = value.qrUrl
                getRes()
            })

            function getRes() {
                var res = that.actGroupDetailsRes || {}
                var resData = res.result || {}
                var value = resData.value || {}
                var resultCode = resData.resultCode || {}
                var isEnd = value.sysTime > value.endTime
                // 活动结束但参团了
                if (isEnd && value.actGroup) {
                    that.groupLeaderAct()
                }
                if (!isEnd && that.actData.isGroupLeader && that.actData.noBuyActCourseAndHaving8Yuan) {
                    var banner_domName = '.course-recommend'
                    that.actData.noBuyActCourseAndHaving8Yuan && that.checkHas(banner_domName, function () {
                        that.addCourseDetailBanner(100902, banner_domName)
                    })
                }
                if (!isEnd && !that.actData.isGroupLeader && that.actData.hasPayed) {
                    var banner_domName = '.course-recommend'
                    that.actData.noBuyActCourseAndHaving8Yuan && that.checkHas(banner_domName, function () {
                        that.addCourseDetailBanner(100902, banner_domName)
                    })
                }
                !isEnd && that.isThisCourse() && window.groupId && ApiHelper.$emit('reloadRecommend', {
                    recommendKey: 'recommend_key_10043_act'
                })
                if (resultCode.code !== 0 || !value.actGroup || isEnd) {
                    return
                }
                callback && callback()
            }
        },
        distributeCouponsToUser: function () {
            if ($('body').data('pageName') === 'courseDetails') {
                return
            }
            $.get('/wx/groupBuy/distributeCouponsToUser.json')
        },
        // 详情页
        initCourseDetails: function () {
            var that = this
            that.initRecommentPvuv()
            that.distributeCouponsToUser()
            that.initPaySuccess()
            that.initPoster()
            that.getActGroupDetails(function () {
                var banner_domName = '.slot-machine-tip'
                if ($('.course_card_info_box')) {
                    banner_domName = '.course_card_info_box'
                }
                // 未支付
                if (typeof hasPayed !== 'undefined' && !hasPayed) {
                    // 团长使用8元券开团 团未满 参团
                    if (!that.actData.isGroupLeader && that.actData.hasUsed8) {
                        that.enterGroup()
                    }
                } else {
                    if (typeof isGroupFull === 'undefined') {
                        banner_domName = '.groupbuy-info'
                    }
                    // 已支付
                    that.groupLeaderAct()
                    if (!that.actData.isGroupLeader && that.actData.hasPayed) {
                        banner_domName = '.course-recommend'
                        that.actData.noBuyActCourseAndHaving8Yuan && that.checkHas(banner_domName, function () {
                            that.addCourseDetailBanner(100902, banner_domName)
                        })
                    }
                }
            })
            that.checkShareTitle()
        },
        addCourseDetailBanner: function (outChannel, domName) {
            if ($('#sectionDesc').length !== 0) {
                return
            }
            if ($('.runTipBox')) {
                $('.runTipBox').css('top', '5%')
            }
            var that = this
            var channel = outChannel
            var pvuvEKeys = {
                100901: 1142,
                100902: 1134
            }
            that.sendExposePvuv({
                channel: channel,
                pvuvKeyId: pvuvEKeys[channel]
            })
            if (domName === '.course-recommend') {
                $(sectionDesc).insertAfter($(domName))
            } else {
                $(sectionDesc).insertBefore($(domName))
            }
            var backImg = 'banner-2.png'
            var btnImg = 'enter-btn.png'
            // 详情页
            if (domName === '.bottom_line') {
            }
            $('#sectionDesc .desc-back').css({
                backgroundImage: 'url("' + that.data.imgPath + backImg + '?v=' + window.jspVersionMoreChange + '")'
            })
            $('#sectionDesc .btn').attr('src', that.data.imgPath + btnImg + '?v=' + window.jspVersionMoreChange)
            var pvuvCKeys = {
                100901: 1141,
                100902: 1133
            }
            $('#sectionDesc').click(function () {
                that.sendExposePvuv({
                    pvuvKeyId: pvuvCKeys[channel],
                    channel: channel
                }, function () {
                    location.href = ApiHelper.getActUrl() + '/newuser1y_main?channel=' + channel
                })
            })
        },
        // 课堂icon
        showIconList: function () {
            var that = this
            ApiHelper.$emit('addListIcon', {
                list: [{
                    src: that.data.imgPath + 'icon-cslist.png?v=' + window.jspVersionMoreChange,
                    url: '/app/spa/dengta_h5/newuser1y_main?channel=100835',
                    style: {
                        width: '0.73rem',
                        height: '0.6rem'
                    },
                    callback: function (callback) {
                        that.sendExposePvuv({
                            pvuvKeyId: 946,
                            channel: 100835
                        }, callback)
                    }
                }]
            })
            that.sendExposePvuv({
                channel: 100835
            })
        },
        // 显示横栏
        showBanner: function () {
            var that = this
            var channel = 100897
            $(NewUserBanner).insertAfter($('#payed_course_list'))
            // 点击
            $('#NewUserBanner').css({
                marginBottom: '0.4rem'
            })
            var cardBack = 'banner-3.png'
            var date23 = new Date('2020/01/23 23:59:59').getTime()
            var nowDate = that.actData.sysTime || new Date().getTime()
            if (nowDate > date23) {
                channel = 100898
                cardBack = 'banner-4.png'
            }
            var pvuvEKeys = {
                100897: 1115,
                100898: 1117
            }
            var hasExpose = false

            function checkExpose() {
                if (!hasExpose && that.isInView('#NewUserBanner')) {
                    hasExpose = true
                    that.sendExposePvuv({
                        channel: channel,
                        pvuvKeyId: pvuvEKeys[channel]
                    })
                } else {
                    hasExpose = false
                }
            }

            document.addEventListener('scroll', ApiHelper.throttle(function () {
                checkExpose()
            }, 500))
            checkExpose()
            var pvuvCKeys = {
                100897: 1114,
                100898: 1116
            }
            $('#NewUserBanner').click(function () {
                that.sendExposePvuv({
                    channel: channel,
                    pvuvKeyId: pvuvCKeys[channel]
                }, function () {
                    location.href = ApiHelper.getActUrl() + '/newuser1y_main?channel=' + channel
                })
            })
            $('#NewUserBanner').css({
                backgroundImage: 'url("' + that.data.imgPath + cardBack + '?v=' + window.jspVersionMoreChange + '")'
            })
            var btnPath = 'btn_enter.png'
            $('#NewUserBanner .btn').attr('src', that.data.imgPath + btnPath + '?v=' + window.jspVersionMoreChange)
            channel === 100897 && $('#NewUserBanner .btn').hide()
        },
        // 倒计时
        _countTimeChange: function (changeArr) {
            var timeArr = changeArr || []
            // 1.在26日前显示“x天后开播”，x为距离26日的天数
            if (timeArr[0] > 1) {
                $('#tsCourseCard .end-time').text(timeArr[0] + '天后开播')
            } else {
                $('#tsCourseCard .end-time').text('今晚20点开播')
            }
        },
        getStorageSync: function (key) {
            var storage = localStorage.getItem(key)
            try {
                storage = JSON.parse(storage)
            } catch (e) {
                storage = storage
            }
            return storage
        },
        setStorageSync: function (key, data) {
            localStorage.setItem(key, JSON.stringify(data))
        },
        // 弹窗
        showHomeDia: function () {
            var that = this
            var channel = 100910
            var nowDate = new Date()
            var cacheKey = 'newuser1y_dia'
            var closeImg = 'close.png'
            var pvuvKeyIds = {}
            var backImg = 'dia_back_1.png'
            if (ApiHelper.getCookie(cacheKey) || that.actData.hasUsed8 || !that.actData.status) {
                return
            }
            $(homeMyDia).appendTo($('body'))
            that.sendExposePvuv({
                channel: channel,
                pvuvKeyId: 1113
            })
            document.getElementById('newUser1yMp3') && document.getElementById('newUser1yMp3').play()

            function removeMp3() {
                document.getElementById('newUser1yMp3') && document.getElementById('newUser1yMp3').pause()
                $('#newUser1yMp3').remove()
            }

            $('#homeMyDia').addClass(cacheKey)
            $('#homeMyDia .btn-baom').hide()
            $('#homeMyDia .yid-cls').attr('src', that.data.imgPath + closeImg + '?v=' + window.jspVersionMoreChange)

            $('#homeMyDia').addClass(cacheKey)
            $('#homeMyDia .yid-con-body').css({
                backgroundImage: 'url("' + that.data.imgPath + backImg + '?v=' + window.jspVersionMoreChange + '")'
            })

            // 前往
            $('#homeMyDia .yid-con-body').click(function () {
                $('#homeMyDia').hide()
                removeMp3()
                that.sendExposePvuv({
                    pvuvKeyId: 1112,
                    channel: channel
                }, function () {
                    location.href = ApiHelper.getActUrl() + '/newuser1y_main?channel=' + channel
                })
            })
            // 关闭
            $('#homeMyDia .yid-cls-con').click(function () {
                removeMp3()
                $('#posterDia').hide()
                $('#homeMyDia').hide()
            })
            $('#homeMyDia').css({
                display: 'flex'
            })
        },
        _initMoreCourse: function () {
            var that = this
            return that.showHomeDia()
        },
        //倒计时
        doubleEvelenTimeDown: function (cutDownTime) {
            var oneDay = 24 * 60 * 60 * 1000
            var that = this
            var courseTime = setInterval(function () {
                cutDownTime -= 10
                if (cutDownTime > oneDay) {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60 % 24)
                    var dd = Math.floor(cutDownTime / 1000 / 60 / 60 / 24)
                    dd = dd > 99 ? 99 : dd
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.countDownNum11').html('<span class="days">' + dd + '天' + '<span class="hours">' + hh + '</span><span class="time_sign">:</span><span class="hours">' + mm + '</span><span class="time_sign">:</span><span class="hours">' + ss + '</span><span class="time_sign">:</span><span class="hours">' + ms + '</span>')
                } else {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60)
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    if (hh < 0 || mm < 0 || ss < 0 || ms < 0) {
                        hh = 0
                        mm = 0
                        ss = 0
                        ms = 0
                        clearInterval(courseTime)
                    }
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.coupon_time_h').text(hh)
                    $('.coupon_time_m').text(mm)
                    $('.coupon_time_s').text(ss)
                    $('.coupon_time_ms').text(ms)
                }
                clearInterval(courseTime)
                that.doubleEvelenTimeDown(cutDownTime)
            }, 10)
        }
    }
</script>

<style scoped lang="less">
    .flex-row {
        display: -moz-box;
        /* 老版本语法: Firefox (buggy) */
        display: -ms-flexbox;
        /* 混合版本语法: IE 10 */
        display: -webkit-flex;
        /* 新版本语法: Chrome 21+ */
        display: flex;
    }

    @cl-mask: rgba(0, 0, 0, 0.85);
    /**弹窗**/
    .yidialog-con {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;

        .yid-back {
            position: absolute;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            text-align: center;
            background: @cl-mask;
        }

        .yid-con {
            position: relative;
            display: flex;
            justify-content: center;
            align-content: center;
            color: #ffffff;
            flex-wrap: wrap;

            .yid-cls {
                position: relative;
                z-index: 9999;
                width: 0.51rem;
                height: 0.51rem;
                flex-shrink: 0;
            }

            .yid-hand {
                position: absolute;
                width: 1rem;
                top: 3.1rem;
                right: 0.1rem;
                animation: handClick 1s infinite;
            }
        }

        .yid-con-col {
            flex-direction: column;
        }
    }

    /**首页活动横栏**/
    .newuser-csbanner {
        position: relative;
        height: 180px;
        background-position: 30px center;
        background-size: 690px 100%;
        background-repeat: no-repeat;

        .count-time {
            position: absolute;
            top: 40px;
            right: 56px;
            font-size: 28px;
            color: #4c4c4c;

            .f6201 {
                font-size: 24px;
                color: #ff6201;
            }
        }

        .remain {
            width: 100%;
            left: 0;
            position: absolute;
            justify-content: center;
            align-items: center;
            top: 156px;
            display: none;
            font-size: 28px;
            color: #ffffff;

            .l {
                margin-left: 77px;
            }

            .icon {
                width: 60px;
                margin-left: -10px;
                margin-bottom: -8px;
            }

            .r {
                margin-left: -18px;
            }
        }

        .btn {
            width: 122px;
            height: 126px;
            position: absolute;
            top: 53px;
            right: 39px;
        }
    }

    /**优惠券**/
    .coupon-send-con {
        box-shadow: 2px 0px 23px 8px rgba(0, 0, 0, 0.08);
        margin-bottom: 40px;
        background-repeat: no-repeat;
        background-position: center top;
        background-size: 100% auto;
        width: 698px;
        height: 258px;

        .cps-top {
            height: 178px;
            text-shadow: 4px 4px 0px rgba(171, 76, 242, 0.43);
            color: #ffffff;

            .zeng-btn {
                width: 0;
                height: 0;
                margin-top: 60px;
                margin-left: 81px;
            }

            .tp-right {
                flex-direction: column;
                margin-left: 260px;
            }

            .title {
                font-size: 40px;
                line-height: 85px;
                font-weight: bold;
                margin-top: 15px;
            }

            .desc {
                font-size: 28px;
            }
        }

        .btm {
            padding: 0 20px;
            align-items: center;
            height: 80px;

            .time {
                font-size: 22px;
                line-height: 78px;
                color: #808080;
            }

            .mark {
                margin-left: 40px;
                line-height: 78px;
                font-size: 24px;
                color: #01a2ff;
                text-decoration: underline;
                flex-grow: 1;
            }

            .go-use {
                color: #fff;
                width: 140px;
                height: 50px;
                font-size: 30px;
                line-height: 50px;
                text-align: center;
                border-radius: 30px;
                background-color: #ff6701;
                text-shadow: 4px 4px 8px #ff3d01;
            }
        }
    }

    /**首页弹窗**/
    .home_dia, .buy1send1_dia {
        display: none;

        .yid-con-body {
            width: 668px;
            height: 860px;
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
            justify-content: center;
            flex-wrap: wrap;

            .kj-djs {
                display: none;
                font-size: 31px;
                font-weight: normal;
                font-stretch: normal;
                letter-spacing: 0px;
                color: #ffffff;
                flex-grow: 1;
                flex-basis: 80%;
                text-align: center;

                .f6201 {
                    background-color: #ffe04b;
                    border-radius: 10px;
                    color: #8555fe;
                    padding: 0 5px;
                    margin: 0 5px;
                }
            }

            .btn-baom {
                margin-top: 701px;
                width: 420px;
                height: 113px;
            }
        }

        .yid-cls-con {
            position: absolute;
            top: 0;
            right: 38px;
            z-index: 2;
            align-self: center;
        }
    }

    .newuser1y_dia {
        z-index: 10000 !important;

        .yid-con-body {
            width: 750px;
            height: 1049px;
        }
    }

    .luckybag_dia_3 {
        .yid-con-body {
            width: 520px;
            height: 669px;
            position: relative;

            .coupon-img {
                position: absolute;
                width: 460px;
                height: 318px;
                top: 205px;
                left: 30px;
            }

            .btn-baom-con {
                width: 280px;
                height: 61px;

                .btn-baom {
                    margin-top: 562px;
                    width: 280px;
                    height: 61px;
                }
            }
        }

        .yid-cls-con {
            margin-top: -70px;
        }
    }

    /**课程目录页**/
    .section-desc-newuser {
        align-items: center;
        width: 750px;
        height: 280px;
        position: relative;
        padding-top: 20px;

        .cls {
            margin-left: 14px;
            width: 35px;
            height: 35px;
            z-index: 2;
        }

        .desc-back {
            position: absolute;
            width: 100%;
            height: 100%;
            left: 0;
            top: 0;
            background-position: center center;
            background-size: 690px 258px;
            background-repeat: no-repeat;
            background-color: #ffffff;
        }

        .btn {
            position: absolute;
            top: 185px;
            right: 249px;
            width: 251px;
            height: 82px;
        }
    }

    /**邀请页**/
    .invite-icon, .detail-icon {
        position: absolute;
        right: 0;
        top: 22px;
        width: 182px;
        height: 89px;
        color: #ffffff;
        flex-direction: column;
        justify-content: center;
        font-size: 28px;
    }

    .coupon-10-dia {
        display: none;

        .yid-con {
        }

        .yid-con-body {
            width: 664px;
            height: 818px;
            background-position: center center;
            background-repeat: no-repeat;
            background-size: 100% 100%;
            position: relative;

            .tip {
                position: absolute;
                color: #ff3c00;
                font-size: 32px;
                top: 169px;
                left: 316px;
            }

            .num {
                position: absolute;
                color: #ff4219;
                font-size: 26px;
                top: 240px;
                left: 286px;
            }

            .num-x {
                position: absolute;
                color: #ffffff;
                font-size: 26px;
                top: 296px;
                left: 543px;
            }

            .btn-con {
                width: 388px;
                height: 109px;
                margin-top: 659px;
                margin-left: 149px;

                .btn {
                    width: 388px;
                    height: 109px;
                }
            }
        }
    }

    .my-hand-ani {
        animation: myHandAni 1s infinite;
    }

    @keyframes myHandAni {
        50% {
            left: 80px;
        }
        0%, 100% {
            left: 50px;
        }
    }

    @keyframes iconClick {
        0%, 100% {
            margin-bottotm: 0;
        }
        50% {
            margin-bottom: -35px;
            transform: scale(1.1);
        }
    }

    @keyframes handClick {
        from {
            margin-top: 0rem;
            margin-right: 0rem;
        }
        50% {
            margin-top: -0.1rem;
            margin-right: 0.1rem;
            transform: scale(0.9);
        }
        to {
            margin-top: -0rem;
            margin-right: 0rem;
        }
    }

    .scale-size {
        animation: scaleSize 2s infinite;
    }

    @keyframes scaleSize {
        from {
            transform: scale(0.9);
            opacity: 0.9;
        }
        50% {
            transform: scale(1.2);
            opacity: 1;
        }
        to {
            transform: scale(0.9);
            opacity: 0.9;
        }
    }

    .heart-beat {
        animation: heartBeat 1s infinite;
    }

    @keyframes heartBeat {
        0% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        14% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        28% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        42% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        70% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }

    /**淡入*/
    .fade-in {
        animation: fadeIn 1s;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
